- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# MWeight Class Reference

# OpenMaya - API module for common classes

Search for all occurrences

## Detailed Description

Component weight data.

Methods for accessing component weight data. This class is currently only used to access soft select and symmetry selection weights. Other weight data (e.g. deformer weights) does not use this class and can be accessed through the corresponding MFn class or directly from the node's attributes.

`#include <MWeight.h>`

List of all members.

## Public Member Functions
| MWeight ()
| Default constructor.
| MWeight (const MWeight &src)
| Copy constructor.
| ~MWeight ()
| Class destructor.
MWeight & | operator= (const MWeight &other)
| Assignment operator.
float | influence () const
| Current influence weight.
float | seam () const
| Current seam weight.
## Static Public Member Functions
static const char * | className ()
| Returns the name of this class.

## Constructor & Destructor Documentation

MWeight | ( |  | ) |

Default constructor.

Initialize the MWeight instance to fully weighted (i.e. as if the item has no weight associated with it).

MWeight | ( | const MWeight & | src | ) |

Copy constructor.

Parameters:

  [in] | src | The source MWeight object.

## Member Function Documentation

MWeight & operator= | ( | const MWeight & | src | ) |

Assignment operator.

Parameters:

  [in] | src | The source MWeight object.

Returns:
  Reference to the MWeight

float influence | ( |  | ) | const

Search for all occurrences

Current influence weight.

Return the influence weight. This value controls how much of a given operation is applied to the entity associated with this weight structure. A value of 1 means the full effect should be applied. A value of 0 means the operation should not affect the entity at all.

Returns:
  The current influence weight

float seam | ( |  | ) | const

Search for all occurrences

Current seam weight.

Return the seam weight. This value indicates how close the entity associated with this weight is to the plane of reflection (the seam), and hence, how strongly it should be associated with the seam. A value of 0 means the entity is free to move independent of the seam. A value of 1 means the entity is full on the seam, and should ideally maintain it's distance relative to the plane of symmetry. This value is only relevant when symmetry is enabled.

Returns:
  The current seam weight

const char * className | ( |  | ) | `[static]`

Search for all occurrences

Returns the name of this class.

Returns:
  The name of this class.

MWeight MWeight MWeight MWeight MWeight MWeight MWeight MWeight MWeight MWeight
MWeight MWeight MWeight MWeight MWeight MWeight MWeight MWeight MWeight MWeight